﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Sample.aspx.cs" Inherits="CSSamples.Samples.Sample" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<%@ Register Src="Footer.ascx" TagName="Footer" TagPrefix="uc1" %>
<%@ Register Src="Banner.ascx" TagName="Banner" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="Resources/css.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map - Map Suite Web Sample application</title>
</head>
<body>
    <form id="form1" runat="server">
    <table border="0" cellpadding="0" cellspacing="0" style="width: 100%;">
        <tr>
            <td>
                <uc2:Banner ID="Header1" runat="server" />
            </td>
        </tr>
        <tr>
            <td align="center">
                <div id="MapContainer">
                    <div id="MapControlerBox">
                        <div>
                            <asp:Label ID="ControlLabel" type="text" runat="server">Instructions</asp:Label>
                        </div>
                        <div>
                            <asp:Label ID="ControlDescription" type="text" runat="server">This sample shows how to do the print preview</asp:Label>
                        </div>
                        <div id="ControlPanel">
                            <asp:Label ID="labPageSize" runat="server">Paper Size:</asp:Label>
                            <asp:DropDownList ID="lisSize" runat="server" Width="180px" ClientIDMode="Static"
                                AutoPostBack="true" OnSelectedIndexChanged="lisSize_SelectedIndexChanged">
                                <asp:ListItem>ANSI A- 8.5 x 11 (A4)</asp:ListItem>
                                <asp:ListItem>ANSI B- 11 x 17 (A3)</asp:ListItem>
                                <asp:ListItem>ANSI C- 17 x 22 (A2)</asp:ListItem>
                                <asp:ListItem>ANSI D- 22 x 34 (A1)</asp:ListItem>
                                <asp:ListItem>ANSI E- 34 x 44 (A0)</asp:ListItem>
                            </asp:DropDownList>
                            <asp:Label ID="labOrentation" runat="server">Orientation</asp:Label>
                            <asp:DropDownList ID="lisOrientation" runat="server" Width="180px" AutoPostBack="true"
                                ClientIDMode="Static" OnSelectedIndexChanged="lisOrientation_SelectedIndexChanged">
                                <asp:ListItem>Portrait</asp:ListItem>
                                <asp:ListItem>Landscape</asp:ListItem>
                            </asp:DropDownList>
                            <asp:Label ID="labPercentage" runat="server">Percentage</asp:Label>
                            <asp:DropDownList ID="lisPercentage" runat="server" AutoPostBack="true" Width="180px"
                                ClientIDMode="Static" OnSelectedIndexChanged="lisPercentage_SelectedIndexChanged">
                                <asp:ListItem>5%</asp:ListItem>
                                <asp:ListItem>10%</asp:ListItem>
                                <asp:ListItem>20%</asp:ListItem>
                                <asp:ListItem>30%</asp:ListItem>
                                <asp:ListItem>40%</asp:ListItem>
                                <asp:ListItem Selected="True">50%</asp:ListItem>
                                <asp:ListItem>60%</asp:ListItem>
                                <asp:ListItem>70%</asp:ListItem>
                                <asp:ListItem>80%</asp:ListItem>
                                <asp:ListItem>90%</asp:ListItem>
                                <asp:ListItem>100%</asp:ListItem>
                                <asp:ListItem>110%</asp:ListItem>
                                <asp:ListItem>120%</asp:ListItem>
                                <asp:ListItem>150%</asp:ListItem>
                                <asp:ListItem>200%</asp:ListItem>
                                <asp:ListItem>300%</asp:ListItem>
                                <asp:ListItem>400%</asp:ListItem>
                                <asp:ListItem>500%</asp:ListItem>
                                <asp:ListItem>600%</asp:ListItem>
                                <asp:ListItem>700%</asp:ListItem>
                                <asp:ListItem>800%</asp:ListItem>
                            </asp:DropDownList>
                        </div>
                        <div id="ControlPanel2">
                            <div>
                                <asp:Label ID="labExport" type="text" runat="server" Text="Export:" />
                            </div>
                            <asp:Button ID="btnToBitmap" Width="100px" runat="server" Text="To Bitmap" OnClick="btnToBitmap_Click" />
                            <asp:Button ID="btnToPDF" Width="100px" runat="server" Text="To PDF" OnClick="btnToPDF_Click" />
                            <asp:Button ID="btnToPrinter" Width="100px" runat="server" Text="To Printer" OnClick="btnToPrinter_Click" />
                        </div>
                        <div id="ControlPanel3">
                            <div>
                                <asp:Label ID="labPan" type="text" runat="server" Text="Pan around the map:" />
                            </div>
                            <div id="ZoomList">
                                <asp:Button ID="btnZoomIn" Width="70px" runat="server" Text="ZoomIn" OnClick="btnZoomIn_Click" />
                                <asp:Button ID="btnZoomOut" Width="70px" runat="server" Text="ZoomOut" OnClick="btnZoomOut_Click" />
                            </div>
                            <div id="PanList1">
                                <asp:Button ID="btnPanNorth" Width="30px" runat="server" Text="N" OnClick="btnPan_Click" />
                            </div>
                            <div id="PanList2">
                                <asp:Button ID="btnPanWest" Width="30px" runat="server" Text="W" OnClick="btnPan_Click" />
                                <asp:Button ID="btnPanEast" Width="30px" runat="server" Text="E" OnClick="btnPan_Click" />
                            </div>
                            <div id="PanList3">
                                <asp:Button ID="btnPanSouth" Width="30px" runat="server" Text="S" OnClick="btnPan_Click" />
                            </div>
                        </div>
                    </div>
                    <div id="MapAddTool">
                        <div>
                            <asp:Label ID="AddToolsLabel" type="text" runat="server">Instructions</asp:Label>
                        </div>
                        <div id="AddToolBox">
                            <div id="normal">
                                <asp:Label ID="ToolDescription" type="text" runat="server">Tools</asp:Label>
                            </div>
                            <div id="AddBox">
                                <div id="ImageButton1">
                                    <asp:ImageButton ID="btnAddLabel" runat="server" Height="25px" ImageUrl="~/Resources/_Label.png"
                                        Width="100px" OnClick="btnAddContrl_Click" />
                                </div>
                                <div id="ImageButton2">
                                    <asp:ImageButton ID="btnAddImage" runat="server" Height="25px" ImageUrl="~/Resources/iamge.png"
                                        Width="100px" OnClick="btnAddContrl_Click" />
                                </div>
                                <div id="ImageButton3">
                                    <asp:ImageButton ID="btnAddScaleLine" runat="server" Height="25px" ImageUrl="~/Resources/scale_line.png"
                                        Width="100px" OnClick="btnAddContrl_Click" />
                                </div>
                                <div id="ImageButton4">
                                    <asp:ImageButton ID="btnAddScaleBar" runat="server" Height="25px" ImageUrl="~/Resources/scale_Bar.png"
                                        Width="100px" OnClick="btnAddContrl_Click" />
                                </div>
                                <div id="ImageButton5">
                                    <asp:ImageButton ID="btnAddGrid" runat="server" Height="25px" ImageUrl="~/Resources/grid.png"
                                        Width="100px" OnClick="btnAddContrl_Click" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="MapBox">
                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                        </asp:ScriptManager>
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                            <ContentTemplate>
                                <cc1:Map ID="Map1" runat="server" Height="100%" Width="100%">
                                </cc1:Map>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnToBitmap" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnToPDF" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnToPrinter" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnZoomIn" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnZoomOut" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnPanNorth" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnPanWest" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnPanEast" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnPanSouth" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="lisSize" EventName="SelectedIndexChanged" />
                                <asp:AsyncPostBackTrigger ControlID="lisOrientation" EventName="SelectedIndexChanged" />
                                <asp:AsyncPostBackTrigger ControlID="lisPercentage" EventName="SelectedIndexChanged" />
                                <asp:AsyncPostBackTrigger ControlID="btnAddLabel" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnAddImage" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnAddScaleLine" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnAddScaleBar" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnAddGrid" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <uc1:Footer ID="Footer1" runat="server" />
            </td>
        </tr>
    </table>
    </form>
</body>
<script type="text/javascript">
    function doRefresh() {
        <%=ClientScript.GetPostBackEventReference(UpdatePanel1, "") %>;
    }

    function resizeElementHeight() {
        var height = 0;
        var width = 0;
        var body = window.document.body;
        if (window.innerHeight) {
            height = window.innerHeight;
        } else if (body.parentElement.clientHeight) {
            height = body.parentElement.clientHeight;
        } else if (body && body.clientHeight) {
            height = body.clientHeight;
        }

        if (window.innerWidth) {
            width = window.innerWidth;
        } else if (body.parentElement.clientWidth) {
            width = body.parentElement.clientWidth;
        } else if (body && body.clientWidth) {
            width = body.clientWidth;
        }
        document.getElementById('MapContainer').style.width = (width - 40) + 'px';
        document.getElementById('MapContainer').style.height = (height - 170) + 'px';
        containerWidth = document.getElementById('MapContainer').style.width;
        containerHeight = document.getElementById('MapContainer').style.height;

        if (width - 40 > 1050) {
            document.getElementById('MapBox').style.width = (width - 444) + 'px';
        }
        else {
            document.getElementById('MapBox').style.width = '646px';
        }

        if ((height - 170) > 550) {
            document.getElementById('MapBox').style.height = (height - 170) + 'px';
            document.getElementById('MapControlerBox').style.height = (height - 170) + 'px';
            document.getElementById('MapAddTool').style.height = (height - 170) + 'px';
        }
        else {
            document.getElementById('MapBox').style.height = '550px';
            document.getElementById('MapControlerBox').style.height = '550px';
            document.getElementById('MapAddTool').style.height = '550px';
        }      
        if(alreadyrun){
            doRefresh();
            alreadyrun=0;
        }
    }
    var alreadyrun = 0
    if (document.addEventListener)
        document.addEventListener("DOMContentLoaded", function () { alreadyrun = 1; resizeElementHeight() }, false)
    else if (document.all && !window.opera) {
        document.write('<script type="text/javascript" id="contentloadtag" defer="defer" src="javascript:void(0)"><\/script>')
        var contentloadtag = document.getElementById("contentloadtag")
        contentloadtag.onreadystatechange = function () {
            if (this.readyState == "complete") {
                alreadyrun = 1
                resizeElementHeight()
            }
        }
    }
    window.onload = function () {
        setTimeout("if (!alreadyrun) resizeElementHeight()", 0);
    }

    window.onresize=function()
    {
        setTimeout("if (!alreadyrun) resizeElementHeight()", 0);
    }
</script>
</html>
